Skip to content
Ona Docs

DeleteAccount

POST/gitpod.v1.AccountService/DeleteAccount

Deletes an account permanently.

Use this method to:

  • Remove unused accounts
  • Clean up test accounts
  • Complete account deletion requests

The account must not be an active member of any organization.

Examples

  • Delete account:

    Permanently removes an account.

    accountId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
Body ParametersJSONExpand Collapse
accountId: string
formatuuid
reason: optional string

reason is an optional field for the reason for account deletion

maxLength256

DeleteAccount

curl https://app.gitpod.io/api/gitpod.v1.AccountService/DeleteAccount \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{
          "accountId": "f53d2330-3795-4c5d-a1f3-453121af9c60"
        }'
{}
Returns Examples
{}